@charset "utf-8";
@import url("https://hannaher.com/cdn/styles/style_layer_reset.css") layer(reset);
@import url("https://hannaher.com/cdn/styles/style_layer_base.css") layer(base);
@layer reset, base, print, sheet;
@layer print { @page { size: portrait; margin: 1in; } }
@layer sheet {
@supports (--hcom-theme: dimgray)
{
	:root
	{
		--hcom-field: /*lch(0% 0 0)*/#000;
		--hcom-anchor: /*lch(49.415% 71.409 134.384)*/#008900;
		--hcom-text: /*lch(87.819% 113.332 134.384)*/#0F0;
		--hcom-hover: /*lch(88.108% 108.322 135.035)*/#28FF28;
		--hcom-screen: /*lch(14.198% 0 139.088)*/#242424;
		--hcom-visited: /*lch(51.142% 73.295 134.384)*/#008E00;
		--hcom-active: /*lch(53.034% 104.927 40.858)*/#F90000;
		--hcom-bright: /*lch(100% 0 139.088)*/#FFF;
	}
}

:focus-visible { outline: 4px dotted var(--hcom-text); outline-offset: 1px; }

::selection { background-color: var(--hcom-hover); }

/*
https://int10h.org/blog/2018/05/flexi-ibm-vga-scalable-truetype-font/
https://int10h.org/blog/2020/12/more-font-updates-oldschool-pack-flexi-vga/
*/

	@font-face { font-family: 'Flexi'; src:url('fonts/Flexi_IBM_VGA_True.ttf') format('truetype'); }

/*
-----
Styles which should be suitable for modern user agents
-----
*/

html
{
	background-color: var(--hcom-field);
	block-size: 100%;
	color: var(--hcom-bright);
	inline-size: 100%;
}

body
{
	background-color: var(--hcom-field);
	color: var(--hcom-text);
	line-height: 1.28;
	padding: 0.5rem;
	font-family: 'Times New Roman', Times, serif;
}

h1
{
	font-size: 196%;
	font-style: normal;
	font-weight: bold;
	margin-block-start: 0;
	padding-block-end: 0.2em;
	text-align: start;
}

h1+p { display: none; }

hr { margin-block-start: 1rem; }
dl { padding-block-start: 0.6rem; }
a { cursor: pointer; font-weight: bold; text-decoration-line: underline; }
a:link { color: var(--hcom-anchor); }
a:visited { color: var(--hcom-visited); }
a:hover { color: var(--hcom-hover); }
a:active { color: var(--hcom-active); }

menu li
{
	list-style-type: disclosure-closed;
	list-style-position: inside;
}

kbd
{
	background-color: var(--hcom-text);
	color: var(--hcom-field);
	padding: 0 0.6rem;
	display: inline-block;
}

samp { display: none; }
ul { display: inline-flex; }
ul li { block-size: 31px; margin: 0.4rem 0.4rem 0 0; }
ul li:nth-of-type(1) { content: url("https://hannaher.net/cdn/images/badges/bw_bbedit_small_1.gif"); }
ul li:nth-of-type(2) { content: url("https://hannaher.net/cdn/images/badges/Made_with_Macintosh_button_white.gif"); }
ul li:nth-of-type(3) { content: url("https://hannaher.net/cdn/images/badges/valid-html32-blue-v.svg"); }

/* media queries follow */

@media screen and (min-width: 48rem /* min-inline-size */) and (min-height: 52rem /* min-block-size */) {
	body
	{
		background-color: var(--hcom-screen);
		block-size: 70.5vh;
		font-family: 'Flexi';
		font-size: 19px;
		inline-size: 94vh;
		line-height: 1.0;
		margin: auto;
		margin-block-start: 14.75vh;
		max-block-size: 70.5vw;
		max-inline-size: 94vw;
		min-block-size: 37rem;
	}

	/* inspired by http://aleclownes.com/2017/02/01/crt-display.html */
	body::before
	{
		content: " ";
		display: block;
		position: absolute;
		inset-block-start: 0;
		inset-inline-start: 0;
		inset-block-end: 0;
		inset-inline-end: 0;
		background: linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%);
		z-index: 2;
		background-size: 100% 2px;
		pointer-events: none;
	}

	body::after
	{
		content: " ";
		display: block;
		position: absolute;
		inset-block-start: 0;
		inset-inline-start: 0;
		inset-block-end: 0;
		inset-inline-end: 0;
		background: linear-gradient(90deg, rgba(0,0,0,0.06) 0, rgba(0,0,0,0.06) 1px, rgba(255,0,0,0.1) 1px, rgba(255,0,0,0.1) 4px, rgba(0,0,0,0.1) 4px, rgba(0,0,0,0.1) 6px, rgba(0,128,0,0.1) 6px, rgba(0,128,0,0.1) 9px, rgba(0,0,0,0.1) 9px, rgba(0,0,0,0.1) 11px, rgba(0,128,255,0.1) 11px, rgba(0,128,255,0.1) 14px, rgba(0,0,0,0.1) 14px, rgba(0,0,0,0.1) 15px);
		z-index: 0;
		background-size: 15px 100%;
		pointer-events: none;
	}
}

@media (prefers-color-scheme: dark)
{
	:root
	{
		--hcom-field: /*lch(0% 0 0)*/#000;
		--hcom-anchor: /*lch(39.225% 47.373 80.821)*/#755700;
		--hcom-text: /*lch(81.62% 84.074 79.984)*/#FFBF00;
		--hcom-hover: /*lch(88.073% 61.992 85.747)*/#FFD862;
		--hcom-visited: /*lch(46.028% 53.122 81.179)*/#896700;
		--hcom-active: /*lch(47.813% 85.799 45.236)*/#D13400;
		--hcom-bright: /*lch(100% 0 139.088)*/#FFF;
	}

	kbd { display: none; }

	samp
	{
		background-color: var(--hcom-text);
		color: var(--hcom-field);
		padding: 0 0.6rem;
		display: inline-block;
	}

	ul li:nth-of-type(1) { content: url("https://hannaher.net/cdn/images/badges/bw_bbedit_small_2.gif"); }
	ul li:nth-of-type(2) { content: url("https://hannaher.net/cdn/images/badges/Made_with_Macintosh_button_black.gif"); }
	ul li:nth-of-type(3) { content: url("https://hannaher.net/cdn/images/badges/valid-html32-v.svg"); }
}
}
